Skip to content
.seventhings.com

Prefill your credentials

Fill in your non-secret values to have them appear in the examples below. Stored locally in your browser.

Get a file resource

GET
/customer-api/v1/file/{fileUuid}
curl --request GET \
--url https://your-instance.seventhings.com/customer-api/v1/file/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'

Get a file resource

fileUuid
required
string format: uuid

The file resource

Media typeapplication/json

A file resource

object
uuid
required
string format: uuid
name
required
string
0 <= 255 characters
type
required
string
0 <= 255 characters
size
required

File size in bytes

integer
>= 1 <= 52428800
creator_id
required
integer
>= 1 <= 1000000
created_at
required
string format: date-time
data_uri
required
string
0 <= 1000 characters
thumbnail_uri
required
string
0 <= 1000 characters
Example
{
"uuid": "9091afea-81ee-4003-ac76-2ac11e3ddc3f",
"name": "example.png",
"type": "image/png",
"size": 1234,
"creator_id": 1,
"created_at": "2022-09-11T13:35:00+00:00",
"data_uri": "https://example.seventhings.com/ultron/api/v1/files/9091afea-81ee-4003-ac76-2ac11e3ddc3f/data",
"thumbnail_uri": "https://example.seventhings.com/ultron/api/v1/files/9091afea-81ee-4003-ac76-2ac11e3ddc3f/thumbnail"
}

Access token is missing or invalid.

You are not permitted to perform the requested operation.

The requested resource could not be found.

The requested resource representation has no acceptable format.

Internal Server Error.